<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKCustomView_layoutBase from './ibizbookcustom-view-layout-base.vue';

@Component({
    components: {
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKCustomView_layout extends IBIZBOOKCustomView_layoutBase {

}
</script>